function plusLessVideoPlayReady() {
	var _BARCODE = "plugintest",
		B = window.plus.bridge;
	var plugintest = {
		// 声明异步返回方法
		BeginSectionAVController: function(
			Argus1,
			successCallback,
			errorCallback
		) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "BeginSectionAVController", [
				callbackID,
				Argus1
			]);
		},
		presentAVController: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "presentAVController", [
				callbackID,
				Argus1
			]);
		},
		PluginPlayLiveFunction: function(
			Argus1,
			successCallback,
			errorCallback
		) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法
			return B.exec(_BARCODE, "PluginPlayLiveFunction", [
				callbackID,
				Argus1
			]);
		},
		buySuccess: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法
			return B.exec(_BARCODE, "buySuccess", [callbackID, Argus1]);
		},
		RegPushCallback: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法
			return B.exec(_BARCODE, "RegPushCallback", [callbackID, Argus1]);
		},
		SetPushState: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法
			return B.execSync(_BARCODE, "SetPushState", [callbackID, Argus1]);
		},
		GetPushList: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			// 通知Native层plugintest扩展插件运行”PluginTestFunction”方法
			return B.execSync(_BARCODE, "", [callbackID, Argus1]);
		},
		shareToQQ: function(Argus1) {
			try {
				return B.execSync(_BARCODE, "ShareToQQ", [Argus1]);
			} catch (ex) {
				console.log(ex);
			}
		},
		jumpToMini: function(Argus1, successCallback, errorCallback) {
			var success =
					typeof successCallback !== "function"
						? null
						: function(args) {
								successCallback(args);
						  },
				fail =
					typeof errorCallback !== "function"
						? null
						: function(code) {
								errorCallback(code);
						  };
			callbackID = B.callbackId(success, fail);
			return B.exec(_BARCODE, "jumpToMini", [callbackID, Argus1]);
		},
		toWxLogin: function(Argus1) {
			return B.execSync(_BARCODE, "toWxLogin", [Argus1]);
		},
		allowScreenShot: function() {
			return B.execSync(_BARCODE, "allowScreenShot", []);
		},
		banScreenShot: function() {
			return B.execSync(_BARCODE, "banScreenShot", []);
		},
		isWXAppInstalled: function() {
			return B.execSync(_BARCODE, "isWXAppInstalled", [Argus1]);
		},

		/**
		 * 跳转至原生tab页面
		 */
		JumpOriginalVC: function(number) {
			return B.execSync(_BARCODE, "JumpOriginalVC", [number]);
		},

		/**
		 * 调起支付
		 * @param {Number} type 1微信 2支付宝
		 * @param {Object} params 支付参数
		 * @param {Function} callback 回调
		 */
		AliPayAndWeChatPayParameters: function(type, params, callback) {
			let realCallback =
				typeof callback !== "function" ? null : res => callback(res);
			let callbackID = B.callbackId(realCallback);

			return B.exec(_BARCODE, "AliPayAndWeChatPayParameters", [
				callbackID,
				type == 1
					? {
							wechatPayParams: params
					  }
					: {
							aliPayParams: params
					  }
			]);
		},

		/**
		 * IOS支付
		 */
		IosPurchasePay: function(params, callback) {
			let realCallback =
				typeof callback !== "function" ? null : res => callback(res);
			let callbackID = B.callbackId(realCallback);

			return B.exec(_BARCODE, "IosPurchasePay", [callbackID, params]);
		}
	};

	window.plus.plugintest = plugintest;
}
if (window.plus) {
	plusLessVideoPlayReady();
} else {
	document.addEventListener("plusready", plusLessVideoPlayReady, false);
}

function GetPushList() {
	var result = plus.plugintest.GetPushList(
		{
			isDone: 0
		},
		function(date) {},
		function(date) {}
	);
	//    var jsonlist = JSON.parse(result);
	//    $.each(jsonlist, function (i, item) {
	//        alert(item.Id);
	//        alert(JSON.stringify(item));
	//    });
}

function RegPush(id) {
	plus.plugintest.RegPushCallback(
		id,
		function(result) {
			var jsonlist = JSON.parse(result);
			$.each(jsonlist, function(i, item) {
				//plus.plugintest.SetPushState({'id':item.Id,'fulfill':true},function(){},function(){});
				//alert(item.Id);
			});
		},
		function(result) {
			alert(result);
		}
	);
}

function buySuccess(val) {
	plus.plugintest.buySuccess(
		val,
		function(result) {
			alert("支付完成");
		},
		function(result) {
			alert(result);
		}
	);
}

function shareToQQ(msg, callback) {
	return plus.plugintest.shareToQQ(msg);
}

function BeginMyLesson(id, uid) {
	plus.plugintest.presentAVController(
		{
			vid: id,
			uid: uid
		},
		function(result) {},
		function(result) {
			alert(result);
		}
	);
}

function BeginSection(cid, type, subjectId) {
	var jsonobj = {
		openid: localStorage.getItem("Openid"),
		tel: localStorage.getItem("Tel"),
		pwd: localStorage.getItem("PassWord"),
		guid: localStorage.getItem("Guid"),
		cid: cid,
		type: type,
		subjectId: subjectId
	};

	plus.plugintest.BeginSectionAVController(
		jsonobj,
		function(result) {},
		function(result) {}
	);
}
